import { generateFunctions } from './helpers/edge-functions.js';
import { generateMetadata } from './helpers/metadata.js';

export const onBuild = async ({
  constants,
  netlifyConfig,
  packageJson,
  utils,
}) => {
  // Generate metadata.json
  await generateMetadata({ constants, packageJson, utils });

  // Generate edge functions
  await generateFunctions({ constants, netlifyConfig, utils });
};
